Edit direct referee description
curl --request POST \
--url https://api.orderly.org/v1/referral/edit_referee_description \
--header 'Content-Type: application/json' \
--header 'orderly-account-id: <orderly-account-id>' \
--header 'orderly-key: <orderly-key>' \
--header 'orderly-signature: <orderly-signature>' \
--header 'orderly-timestamp: <orderly-timestamp>' \
--data '
{
"user_address": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.orderly.org/v1/referral/edit_referee_description"
payload = {
"user_address": "<string>",
"description": "<string>"
}
headers = {
"orderly-timestamp": "<orderly-timestamp>",
"orderly-account-id": "<orderly-account-id>",
"orderly-key": "<orderly-key>",
"orderly-signature": "<orderly-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'orderly-timestamp': '<orderly-timestamp>',
'orderly-account-id': '<orderly-account-id>',
'orderly-key': '<orderly-key>',
'orderly-signature': '<orderly-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({user_address: '<string>', description: '<string>'})
};
fetch('https://api.orderly.org/v1/referral/edit_referee_description', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": 1702989203989,
"data": null
}Multilevel referral
Edit direct referee description
Limit: 10 requests per second per user
POST /v1/referral/edit_referee_description
Allows an affiliate to set or clear a private description for one of their direct referees in the multilevel referral program. The target must be the affiliate’s direct referee.
Set description to null to clear it. An empty string is accepted. Descriptions can contain letters, numbers, hyphens (-), underscores (_), at signs (@), commas (,), and spaces.
POST
/
v1
/
referral
/
edit_referee_description
Edit direct referee description
Headers
Timestamp of the signed request in milliseconds.
Account ID of the authenticated account.
Public orderly key used to sign the request.
Signature of the request payload generated with the orderly key.
Body
application/json
⌘I